Bug 1547791 - Jenkins API error
Summary: Jenkins API error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-22 00:06 UTC by Nigel Babu
Modified: 2018-08-03 10:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-03 10:28:00 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Nigel Babu 2018-02-22 00:06:36 UTC
The Jenkins API times out causing problems with fstat to capture failure stats for regression runs.

This is most likely because we're now storing the logs into Jenkins. They will need to be moved to an external server.

Comment 1 Shyamsundar 2018-06-20 18:27:28 UTC
This bug reported is against a version of Gluster that is no longer maintained (or has been EOL'd). See https://www.gluster.org/release-schedule/ for the versions currently maintained.

As a result this bug is being closed.

If the bug persists on a maintained version of gluster or against the mainline gluster repository, request that it be reopened and the Version field be marked appropriately.

Comment 2 Shyamsundar 2018-06-20 18:27:51 UTC
This bug reported is against a version of Gluster that is no longer maintained
(or has been EOL'd). See https://www.gluster.org/release-schedule/ for the
versions currently maintained.

As a result this bug is being closed.

If the bug persists on a maintained version of gluster or against the mainline
gluster repository, request that it be reopened and the Version field be marked
appropriately.

Comment 3 Nigel Babu 2018-08-03 10:28:00 UTC
This was due to GC and general memory issues in Jenkins. This should now be fixed after the tuning I've applied


Note You need to log in before you can comment on or make changes to this bug.